POST /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}/add

Path parameters

  • task_id string(uuid) Required
  • date string(date) Required
  • person_id string(uuid) Required
application/json

Body Required

  • duration number

Responses

  • 201 application/json

    Timeframe added to time spent

    Hide response attributes Show response attributes object
    • id string(uuid)
    • task_id string(uuid)
    • person_id string(uuid)
    • date string(date)
    • duration number
    • created_at string(date-time)
  • 400

    Invalid parameters

POST /actions/tasks/{task_id}/time-spents/{date}/persons/{person_id}/add
curl -X POST "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25/add" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "duration": 30
}'
import requests

url = "http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25/add"
headers = {
    "Authorization": "Bearer YOUR_API_TOKEN",
    "Accept": "application/json",
    "Content-Type": "application/json"
}
params = {}
payload = {
    "duration": 30
}

response = requests.post(
    url,
    headers=headers,
    params=params,
    json=payload
)

response.raise_for_status()

if response.content:
    print(response.json())
curl \
 --request POST 'http://api.example.com/actions/tasks/a24a6ea4-ce75-4665-a070-57453082c25/time-spents/2022-07-12/persons/a24a6ea4-ce75-4665-a070-57453082c25/add' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"duration":30}'
Request examples
{
  "duration": 30
}
Response examples (201)
{
  "id": "a24a6ea4-ce75-4665-a070-57453082c25",
  "task_id": "b24a6ea4-ce75-4665-a070-57453082c25",
  "person_id": "c24a6ea4-ce75-4665-a070-57453082c25",
  "date": "2022-07-12",
  "duration": 150,
  "created_at": "2024-01-15T10:30:00Z"
}